Installing & Enabling The LSCache Plugin For PrestaShop

Pre-Installation Requirements

  • LiteSpeed Web Server Enterprise Edition 5.2.1 Build 7 or higher.
  • LSCache Module. (Included with a 2-CPU or higher license. Can be purchased as an add-on for VPS, Ultra VPS, and 1-CPU licenses.)

Installation

  1. Configure server- and/or virtual-host-level cache root and cache policy by selecting your setup in the Web Server Configuration section of the LiteSpeed Web Cache Common Installation Guide.
  2. Disable any other page caches as these will interfere with LSCPS.
  3. Log in to your PrestaShop Admin
  4. Set Advanced Parameters > Debug mode > Disable all overrides to NO. This is required to ensure proper functioning of the ESI hole-punching feature.
  5. Navigate to Modules > Modules & Services, and click on Upload a Module.
  6. Select the LSCPS zip file.
  7. Enable the module by navigating to LiteSpeed Cache > Settings and setting Enable LiteSpeed Cache to Yes.

.htaccess Update

When you enable or disable LiteSpeed Cache from the plugin, .htaccess file should be automatically updated. If the update failed, most time due to file permission, you can update it manually.

At the top of your .htaccess file, located in the document root of your PrestaShop installation, add the following:

# LITESPEED_CACHE_START Do not remove this comment line, LiteSpeedCache plugin will automatically update this block
<IfModule LiteSpeed>
CacheLookup on
</IfModule>
# LITESPEED_CACHE_END
 
litespeed_wiki/cache/lscps/installation.txt · Last modified: 2019/01/14 21:58 by Lisa Clarke